﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Data.SqlClient;
namespace data_between_dgw
{
    public partial class menu : Form
    {
        public menu()
        {
            InitializeComponent();
        }

        private void buttonX1_Click(object sender, EventArgs e)
        {
            Form frm = new Form1();
            frm.ShowDialog();
        }

        private void buttonX2_Click(object sender, EventArgs e)
        {
            try
            {
                Form frm = new froosh();
                frm.ShowDialog();
            }
            catch (Exception)
            { }
        }

        private void buttonX3_Click(object sender, EventArgs e)
        {
            try
            {
                Form frm = new moshtari();
                frm.ShowDialog();
            }
            catch (Exception)
            { }
        }

        private void buttonX5_Click(object sender, EventArgs e)
        {
            try
            {
                Form frm = new karbar();
                frm.ShowDialog();
            }
            catch (Exception)
            { }
        }

        private void buttonX6_Click(object sender, EventArgs e)
        {
            try
            {
                Form frm = new list_moshtari();
                frm.ShowDialog();
            }
            catch (Exception)
            { }
        }

        private void buttonX14_Click(object sender, EventArgs e)
        {
            try
            {
                if (saveFileDialog1.ShowDialog() == DialogResult.OK)
                {
                    string command = @"BACKUP DATABASE [" + Application.StartupPath + "\\db1.mdf] TO DISK = N'" + saveFileDialog1.FileName + "'  WITH FORMAT, INIT,  NAME = N'accounting-Full Database Backup', SKIP, NOREWIND, NOUNLOAD,  STATS = 10";
                    SqlConnection objconnection = new SqlConnection(@"Data Source=.\SQLEXPRESS;AttachDbFilename=|DataDirectory|\db1.mdf;Integrated Security=True;User Instance=True");
                    SqlCommand oCommand = null;
                    if (objconnection.State != ConnectionState.Open)
                        objconnection.Open();
                    oCommand = new SqlCommand(command, objconnection);
                    oCommand.ExecuteNonQuery();
                    objconnection.Close();
                    MessageBox.Show("فایل پشتیبان ذخیره شد", "اعلان");
                    oCommand.Dispose();

                }
            }
            catch { }
        }

        private void buttonX13_Click(object sender, EventArgs e)
        {
            try
            {

                SqlConnection objconnection = new SqlConnection(@"Data Source=.\SQLEXPRESS;AttachDbFilename=|DataDirectory|\db1.mdf;Integrated Security=True;User Instance=True");
                objconnection.Open();
                if (openFileDialog1.ShowDialog() == DialogResult.OK)
                {
                    string s1 = "ALTER DATABASE [" + Application.StartupPath + "\\db1.mdf] SET OFFLINE WITH ROLLBACK IMMEDIATE";
                    string s2 = "ALTER DATABASE [" + Application.StartupPath + "\\db1.mdf] SET MULTI_USER";
                    string query = "RESTORE DATABASE [" + Application.StartupPath + "\\db1.mdf] FROM DISK ='" + openFileDialog1.FileName + "' WITH RECOVERY,REPLACE";
                    SqlCommand cmd = new SqlCommand();
                    cmd.CommandText = s1;
                    cmd.Connection = objconnection;
                    cmd.ExecuteNonQuery();

                    cmd.CommandText = s2;
                    cmd.Connection = objconnection;
                    cmd.ExecuteNonQuery();
                    cmd.CommandText = query;
                    cmd.Connection = objconnection;
                    cmd.ExecuteNonQuery();
                    cmd.Dispose();
                    MessageBox.Show("بانک اطلاعاتی با موفقیت بازگردانی شد", "اعلان");
                    Application.Restart();
                }
            }
            catch { }
        }

        private void menu_Load(object sender, EventArgs e)
        {
            user.Text = cls_variable.stru;
            if (user.Text == "کاربر عادی")
            {
         
                buttonX5.Enabled = false;
         
                user.Enabled = true;
            }

            try
            {
                System.Globalization.PersianCalendar p = new System.Globalization.PersianCalendar();
                lbldate.Text = p.GetYear(DateTime.Now).ToString() + "/" + p.GetMonth(DateTime.Now).ToString("0#") + "/" + p.GetDayOfMonth(DateTime.Now).ToString("0#");
                switch (DateTime.Now.DayOfWeek)
                {
                    case DayOfWeek.Friday:
                        lblday.Text = "جمعه";
                        break;
                    case DayOfWeek.Monday:
                        lblday.Text = "دوشنبه";
                        break;
                    case DayOfWeek.Saturday:
                        lblday.Text = "شنبه";
                        break;
                    case DayOfWeek.Sunday:
                        lblday.Text = "یکشنبه";
                        break;
                    case DayOfWeek.Thursday:
                        lblday.Text = "پنجشنبه";
                        break;
                    case DayOfWeek.Tuesday:
                        lblday.Text = "سه شنبه";
                        break;
                    case DayOfWeek.Wednesday:
                        lblday.Text = "چهارشنبه";
                        break;
                }

            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message, "خطا");
            }
        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            lbltime.Text = DateTime.Now.Hour.ToString("0#");
            lbltime.Text += " : ";
            lbltime.Text += DateTime.Now.Minute.ToString("0#");
            lbltime.Text += " : ";
            lbltime.Text += DateTime.Now.Second.ToString("0#");
        }

        private void buttonX4_Click(object sender, EventArgs e)
        {
            try
            {
                Form frm = new list_kala();
                frm.ShowDialog();
            }
            catch (Exception)
            { }
        }
    }
}
