﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Data.SqlClient;
namespace data_between_dgw
{
    public partial class moshtari : Form
    {
        public moshtari()
        {
            InitializeComponent();
        }
        SqlConnection con = new SqlConnection("Data Source=.\\SQLEXPRESS;AttachDbFilename=|DataDirectory|\\db1.mdf;Integrated Security=True;User Instance=True");
        SqlCommand cmd = new SqlCommand();

        void display()
        {

            DataSet ds = new DataSet();
            SqlDataAdapter adp = new SqlDataAdapter();
            adp.SelectCommand = new SqlCommand();
            adp.SelectCommand.Connection = con;
            adp.SelectCommand.CommandText = "select * from moshtari";
            adp.Fill(ds, "t1");
            dataGridViewX1.DataSource = ds;
            dataGridViewX1.DataMember = "t1";
        }
        public void empty()
        {
            textBoxX1.Text = "";
            textBoxX2.Text = "";
            textBoxX3.Text = "";
            textBoxX4.Text = "";
            textBoxX5.Text = "";
            textBoxX6.Text = "";
        }
        private void moshtari_Load(object sender, EventArgs e)
        {
            InputLanguage.CurrentInputLanguage = InputLanguage.FromCulture(System.Globalization.CultureInfo.CreateSpecificCulture("fa-IR"));

            display();
            dataGridViewX1.Columns[0].HeaderText = "کد";
            dataGridViewX1.Columns[1].HeaderText = "نام مشتری";
            dataGridViewX1.Columns[2].HeaderText = "آدرس";
            dataGridViewX1.Columns[3].HeaderText = "تلفن";
            dataGridViewX1.Columns[4].HeaderText = "بدهی";
            dataGridViewX1.Columns[5].HeaderText = "توضیح";
        }

        private void buttonX1_Click(object sender, EventArgs e)
        {
            try
            {
                cmd.Connection = con;
                cmd.Parameters.Clear();
                cmd.CommandText = "insert into moshtari(id_m,name_m,address,tell,bedehi,tozih)values (@e,@r,@k,@f,@a,@l)";

                cmd.Parameters.AddWithValue("@e", textBoxX1.Text);
                cmd.Parameters.AddWithValue("@r", textBoxX2.Text);
                cmd.Parameters.AddWithValue("@k", textBoxX3.Text);
                cmd.Parameters.AddWithValue("@f", textBoxX4.Text);
                cmd.Parameters.AddWithValue("@a", textBoxX5.Text);
                cmd.Parameters.AddWithValue("@l", textBoxX6.Text);

                con.Open();
                cmd.ExecuteNonQuery();
                con.Close();
                MessageBox.Show("اطلاعات اضافه شد");
                display();
                empty();
            }
            catch (Exception)
            {
                MessageBox.Show(" مشکلی پیش آمده است");
            }
            con.Close();
            textBoxX1.Focus();
        }

        private void buttonX2_Click(object sender, EventArgs e)
        {
            try
            {
                int x = Convert.ToInt32(dataGridViewX1.SelectedCells[0].Value);
                cmd.Parameters.Clear();
                cmd.Connection = con;
                cmd.CommandText = "delete from moshtari where id_m=@s";
                cmd.Parameters.AddWithValue("@s", x);
                con.Open();
                cmd.ExecuteNonQuery();
                con.Close();
                MessageBox.Show("اطلاعات حذف شد");
                display();
                empty();
            }
            catch (Exception)
            {
                MessageBox.Show(" مشکلی پیش آمده است");
            }
        }

        private void buttonX3_Click(object sender, EventArgs e)
        {
            try
            {
                cmd.Parameters.Clear();
                cmd.Connection = con;
                cmd.CommandText = "update moshtari set name_m=N'" + textBoxX2.Text + "',address=N'" + textBoxX3.Text + "',tell=N'" + textBoxX4.Text + "',bedehi=N'" + textBoxX5.Text + "',tozih=N'" + textBoxX6.Text + "'  where id_m=" + textBoxX1.Text;
                con.Open();
                cmd.ExecuteNonQuery();
                con.Close();
                MessageBox.Show("اطلاعات ویرایش شد");
                display();
                empty();
            }
            catch (Exception)
            {
                MessageBox.Show(" مشکلی پیش آمده است");
            }
        }

        private void dataGridViewX1_MouseUp(object sender, MouseEventArgs e)
        {
            try
            {
                textBoxX1.Text = dataGridViewX1[0, dataGridViewX1.CurrentRow.Index].Value.ToString();
                textBoxX2.Text = dataGridViewX1[1, dataGridViewX1.CurrentRow.Index].Value.ToString();
                textBoxX3.Text = dataGridViewX1[2, dataGridViewX1.CurrentRow.Index].Value.ToString();
                textBoxX4.Text = dataGridViewX1[3, dataGridViewX1.CurrentRow.Index].Value.ToString();
                textBoxX5.Text = dataGridViewX1[4, dataGridViewX1.CurrentRow.Index].Value.ToString();
                textBoxX6.Text = dataGridViewX1[5, dataGridViewX1.CurrentRow.Index].Value.ToString();
            }
            catch (Exception)
            {
                MessageBox.Show(" مشکلی پیش آمده است");
            }
        }

        private void textBoxX8_TextChanged(object sender, EventArgs e)
        {
            try
            {
                DataSet ds = new DataSet();
                SqlDataAdapter adp = new SqlDataAdapter();
                adp.SelectCommand = new SqlCommand();
                adp.SelectCommand.Connection = con;
                adp.SelectCommand.CommandText = "select * from moshtari where name_m like @N";
                adp.SelectCommand.Parameters.AddWithValue("@N", textBoxX8.Text + "%");
                adp.Fill(ds, "t1");
                dataGridViewX1.DataSource = ds;
                dataGridViewX1.DataMember = "t1";
            }
            catch (Exception)
            { }
        }

        private void textBoxX7_TextChanged(object sender, EventArgs e)
        {
            try
            {
                DataSet ds = new DataSet();
                SqlDataAdapter adp = new SqlDataAdapter();
                adp.SelectCommand = new SqlCommand();
                adp.SelectCommand.Connection = con;
                adp.SelectCommand.CommandText = "select * from moshtari where id_m like @N";
                adp.SelectCommand.Parameters.AddWithValue("@N", textBoxX7.Text + "%");
                adp.Fill(ds, "t1");
                dataGridViewX1.DataSource = ds;
                dataGridViewX1.DataMember = "t1";
            }
            catch (Exception)
            { }
        }

        private void buttonX6_Click(object sender, EventArgs e)
        {
            Hide();
            froosh f20 = new froosh();
            f20.textBoxX5.Text = textBoxX2.Text;
            f20.textBoxX6.Text = textBoxX4.Text;
 
            f20.ShowDialog();
        }

        private void dataGridViewX1_CellMouseDoubleClick(object sender, DataGridViewCellMouseEventArgs e)
        {
            froosh f2 = new froosh();
            f2.Controls["groupPanel2"].Controls["textBoxX5"].Text = dataGridViewX1.Rows[e.RowIndex].Cells[1].Value.ToString();
            f2.Controls["groupPanel2"].Controls["textBoxX6"].Text = dataGridViewX1.Rows[e.RowIndex].Cells[3].Value.ToString();
           
            f2.ShowDialog();
        }
    }
}
