﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Data.SqlClient;
namespace data_between_dgw
{
    public partial class list_moshtari : Form
    {
        public list_moshtari()
        {
            InitializeComponent();
        }
        SqlConnection con = new SqlConnection("Data Source=.\\SQLEXPRESS;AttachDbFilename=|DataDirectory|\\db1.mdf;Integrated Security=True;User Instance=True");
        SqlCommand cmd = new SqlCommand();

        void display()
        {

            DataSet ds = new DataSet();
            SqlDataAdapter adp = new SqlDataAdapter();
            adp.SelectCommand = new SqlCommand();
            adp.SelectCommand.Connection = con;
            adp.SelectCommand.CommandText = "select * from moshtari";
            adp.Fill(ds, "t1");
            dataGridViewX1.DataSource = ds;
            dataGridViewX1.DataMember = "t1";
        }
        private void list_moshtari_Load(object sender, EventArgs e)
        {
            InputLanguage.CurrentInputLanguage = InputLanguage.FromCulture(System.Globalization.CultureInfo.CreateSpecificCulture("fa-IR"));

            display();
            dataGridViewX1.Columns[0].HeaderText = "کد";
            dataGridViewX1.Columns[1].HeaderText = "نام مشتری";
            dataGridViewX1.Columns[2].HeaderText = "آدرس";
            dataGridViewX1.Columns[3].HeaderText = "تلفن";
            dataGridViewX1.Columns[4].HeaderText = "بدهی";
            dataGridViewX1.Columns[5].HeaderText = "توضیح";
        }

        private void buttonX2_Click(object sender, EventArgs e)
        {
            try
            {
                int x = Convert.ToInt32(dataGridViewX1.SelectedCells[0].Value);
                cmd.Parameters.Clear();
                cmd.Connection = con;
                cmd.CommandText = "delete from moshtari where id_m=@s";
                cmd.Parameters.AddWithValue("@s", x);
                con.Open();
                cmd.ExecuteNonQuery();
                con.Close();
                MessageBox.Show("اطلاعات حذف شد");
                display();

            }
            catch (Exception)
            {
                MessageBox.Show(" مشکلی پیش آمده است");
            }
        }

        private void textBoxX8_TextChanged(object sender, EventArgs e)
        {
            try
            {
                DataSet ds = new DataSet();
                SqlDataAdapter adp = new SqlDataAdapter();
                adp.SelectCommand = new SqlCommand();
                adp.SelectCommand.Connection = con;
                adp.SelectCommand.CommandText = "select * from moshtari where name_m like @N";
                adp.SelectCommand.Parameters.AddWithValue("@N", textBoxX8.Text + "%");
                adp.Fill(ds, "t1");
                dataGridViewX1.DataSource = ds;
                dataGridViewX1.DataMember = "t1";
            }
            catch (Exception)
            { }
        }

        private void textBoxX1_TextChanged(object sender, EventArgs e)
        {
            try
            {
                DataSet ds = new DataSet();
                SqlDataAdapter adp = new SqlDataAdapter();
                adp.SelectCommand = new SqlCommand();
                adp.SelectCommand.Connection = con;
                adp.SelectCommand.CommandText = "select * from moshtari where id_m like @N";
                adp.SelectCommand.Parameters.AddWithValue("@N", textBoxX1.Text + "%");
                adp.Fill(ds, "t1");
                dataGridViewX1.DataSource = ds;
                dataGridViewX1.DataMember = "t1";
            }
            catch (Exception)
            { }
        }
    }
}
